# -*- coding: utf-8 -*-
"""
Created on Tue Sep  7 13:18:18 2021

@author: Joschka
"""

import matplotlib.pyplot as plt
import numpy as np

from src import coil_class as BC

from IPython import get_ipython
#get_ipython().run_line_magic('matplotlib', 'qt')

I = 1.25

HH_Coil = BC.BCoil(HH = 1, distance = 54 ,radius = 48 , layers = 8, windings = 8, wire_height = 0.45, wire_width = 0.45,insulation_thickness= 0.09,is_round = True, winding_offset= True)
HH_Coil.set_R_outer(49.3)
HH_Coil.set_d_min(49.8)
HH_Coil.print_info()

HH_Coil.cooling(I,22.5)

HH_Coil.plot_raster(30)

